Skip to content

List Vitals Links

GET
/businesses/{businessId}/vitals/links
curl --request GET \
--url 'https://api.upvio.com/v1/businesses/example/vitals/links?limit=10&offset=0&status=ACTIVE' \
--header 'Authorization: Bearer <token>'

List all vitals links for a business with pagination

businessId
required

The ID of the Business.

string
limit

The maximum number of links to return.

integer
default: 10 >= 1 <= 50
offset

The number of links to skip before starting to collect the result set.

integer
0 <= 10000
vitalsTemplateId

Filter by Vitals Template ID.

string
status

Filter by link status.

string
Allowed values: ACTIVE ARCHIVED DISABLED

List of Vitals Links

Media typeapplication/json
object
data
Array<object>
object
id
required

Unique identifier across the platform.

string format: uuid
createdAt
required

Time when the resource was created (ISO 8601 format).

string format: date-time
updatedAt
required

Time when the resource was last updated (ISO 8601 format).

string format: date-time
name
required

The name of the link.

string
description

An optional description of the link.

string
nullable
slug
required

The unique slug used in the link URL.

string
status
required

The status of the link.

string
Allowed values: ACTIVE ARCHIVED DISABLED
vitalsTemplateId
required

The ID of the template this link uses.

string
scansCount
required

The number of scans performed using this link.

integer
maxScans

The maximum number of scans allowed for this link.

integer
nullable
expiresAt

When the link expires, if applicable.

string format: date-time
nullable
url
required

The full URL for this vitals link.

string format: uri
meta
object
totalCount

Total number of links matching the filter criteria.

integer

Example

{
"data": [
{
"status": "ACTIVE"
}
]
}

Invalid query parameters.

Media typeapplication/json
object
error
object
code
number
type

The specific error that occurred.

string
Allowed values: BadRequestError
title

Human-readable description of the error.

string

Example

{
"error": {
"code": 400,
"type": "BadRequestError",
"title": "limit must be at least 1"
}
}

The API key is missing or invalid, or the Business cannot be accessed with it.

Media typeapplication/json
object
error
object
code
number
type

The specific error that occurred.

string
Allowed values: UnauthorizedError BusinessArchivedError BusinessDisabledError
title

Human-readable description of the error.

string

Example

{
"error": {
"code": 403,
"type": "UnauthorizedError",
"title": "Invalid API token"
}
}

The Business does not exist.

Media typeapplication/json
object
error
object
code
number
type

The specific error that occurred.

string
Allowed values: NotFoundError BusinessNotFoundError
title

Human-readable description of the error.

string

Example

{
"error": {
"code": 404,
"type": "BusinessNotFoundError",
"title": "Business not found"
}
}